//---------------------------------------------------------------------------

#ifndef SCSIRunnerH
#define SCSIRunnerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "CGAUGES.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TMainFrame : public TForm
{
__published:	// IDE-managed Components
    TPanel *TOPPl;
    TPanel *BotPl;
    TStatusBar *StatBar;
    TComboBox *DeviceComboBox;
    TButton *Button1;
    TCGauge *CGauge;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall StatBarDrawPanel(TStatusBar *StatusBar,
          TStatusPanel *Panel, const TRect &Rect);
private:	// User declarations
public:		// User declarations
    __fastcall TMainFrame(TComponent* Owner);
    void __fastcall ShowStatus(const AnsiString &str);
    void __fastcall SetCGauge(int &prec);    
};
//---------------------------------------------------------------------------
extern PACKAGE TMainFrame *MainFrame;
//---------------------------------------------------------------------------
#endif
